package de.hendriklipka.q3master.test;

import java.util.Random;
import java.net.InetAddress;

public class ClientBrowserSimulation extends ClientBaseSimulation implements ClientSimulation
{
    static Random _random=new Random();
    static Random _checkRandom=new Random();

    public void doSomething()
    {
        if (_checkRandom.nextBoolean())
        {
            int num=_checkRandom.nextInt(10)+1;
            for (int i=0;i<num;i++)
            {
                queryServers();
                synchronized (this)
                {
                    try
                    {
                        this.wait(500);
                    }
                    catch (InterruptedException ex)
                    {
                    }
                }
            }
        }
    }

    public long getSleepTime()
    {
        return (long)1000*(_random.nextInt(60)+2);
    }

    public ClientBrowserSimulation(int port, InetAddress serverAddress)
    {
        super(port, serverAddress);
    }
}
